
<!DOCTYPE html>
<html>
<head>

<meta charset="utf-8">
<meta name="robots" content="noindex,nofollow">
<meta name="viewport" content="width=device-width,initial-scale=1">
<meta http-equiv="X-UA-Compatible" content="IE=edge">

<title>Lamasticount</title>

<link rel="stylesheet" href="../css/bootstrap.min.css">
<link rel="stylesheet" href="../css/friends.css">


</head>

<body>

	<script src="../js/angular.min.js"></script>
	<script src="../js/jquery.min.js"></script>
	<script src="../js/bootstrap.min.js"></script>


	<nav class="navbar navbar-default navbar-fixed-top">
		<div class="container-fluid">
			<div class="navbar-header">
				<button type="button" class="navbar-toggle" data-toggle="collapse"
					data-target="#myNavbar">
					<span class="icon-bar"></span> <span class="icon-bar"></span> <span
						class="icon-bar"></span>
				</button>
				<span class="navbar-brand">Lamasticount</span>
			</div>
			<div class="collapse navbar-collapse" id="myNavbar">
				<ul class="nav navbar-nav">
					<li><a href="count.html"><span
							class="glyphicon glyphicon-euro"></span> Comptes</a></li>
					<li class="active"><a href="friends.html"><span
							class="glyphicon glyphicon-user"></span> Amis</a></li>
				</ul>

				<hr class="visible-xs" />


				<ul class="nav navbar-nav navbar-right">
					<li><a href="#"><span class="glyphicon glyphicon-cog"></span>
							Paramètres du compte</a></li>
					<li><a href="#"><span
							class="
		 glyphicon glyphicon-log-out"></span> Déconnexion</a></li>
				</ul>
			</div>
		</div>
	</nav>

	<div class="container-fluid" style="margin-top: 60px;"
		ng-app="myFriendsApp" ng-controller="myFriendsCtrl">


		<div class="row">
			<div class="col-lg-6 col-sm-12">
				<div class="list-group">
					<p class="list-group-item active">Liste d'amis
					<div class="input-group input-group-search-friends">
						<span class="input-group-addon"><i
							class="glyphicon glyphicon-search glyph-search"></i></span> <input
							id="search" type="text" class="form-control" name="search"
							placeholder="Rechercher" ng-model="search">
					</div>
					</p>










					<div class="container-fluid list-group-item"
						ng-repeat="friend in myFriends"
						ng-show="search == null || (friend.firstName + ' ' + friend.lastName).toLowerCase().indexOf(search.toLowerCase()) !== -1">
						<div class="row">
							<div class="col-xs-6">
								<p>{{ friend.firstName }} {{ friend.lastName }}</p>
								<p>Email: {{ friend.email }}</p>
							</div>
							<div class="col-xs-6 btn-friends">
								<button style="margin-bottom: 5px;" type="button"
									class="btn btn-primary btn-circle btn-lg"
									ng-click="$parent.showAddFriendCount = true;">
									<span class="glyphicon glyphicon-plus"></span>&nbsp;Ajouter à
									un compte
								</button>
								<br />
								<button type="button" class="btn btn-default btn-circle btn-lg">
									<span class="glyphicon glyphicon-remove"></span>&nbsp;Supprimer
								</button>
							</div>
						</div>
					</div>

				</div>
			</div>

			<div class="col-lg-6 col-sm-12">
				<form>
					<div class="input-group">
						<input type="text" class="form-control"
							placeholder="Ajouter un ami">
						<div class="input-group-btn">
							<button class="btn btn-default" type="submit">
								<i class="glyphicon glyphicon-plus"></i>
							</button>
						</div>
					</div>
				</form>
				<br />

				<div class="list-group">
					<p class="list-group-item active">Invitations</p>

					<div class="container-fluid list-group-item"
						ng-repeat="friend in myFriendsInvite">
						<div class="row">
							<div class="col-xs-6">
								<p>{{ friend.firstName }} {{ friend.lastName }}</p>
								<p>Email: {{ friend.email }}</p>
							</div>
							<div class="col-xs-6 btn-invite">
								<button style="margin-bottom: 5px;" type="button"
									class="btn btn-primary btn-circle btn-lg">
									<span class="glyphicon glyphicon-ok"></span>&nbsp;Accepter
								</button>
								<br />
								<button type="button" class="btn btn-default btn-circle btn-lg">
									<span class="glyphicon glyphicon-remove"></span>&nbsp;Refuser
								</button>
							</div>
						</div>
					</div>
					
					<p class="list-group-item active">Invitations à un compte</p>

					<div class="container-fluid list-group-item"
						ng-repeat="countInvite in myCountsInvite">
						<div class="row">
							<div class="col-xs-6">
								<p>{{ countInvite.firstName }} {{ countInvite.lastName }}</p>
								<p>Compte: {{ countInvite.count }}</p>
							</div>
							<div class="col-xs-6 btn-invite">
								<button style="margin-bottom: 5px;" type="button"
									class="btn btn-primary btn-circle btn-lg">
									<span class="glyphicon glyphicon-ok"></span>&nbsp;Accepter
								</button>
								<br />
								<button type="button" class="btn btn-default btn-circle btn-lg">
									<span class="glyphicon glyphicon-remove"></span>&nbsp;Refuser
								</button>
							</div>
						</div>
					</div>

				</div>
			</div>

		</div>

		<div class="add-friend-count" ng-show="showAddFriendCount">
			<div class="container-fluid" style="margin-top: 80px;">
				<div class="list-group col-lg-4 col-lg-offset-4">
					<p class="list-group-item active">Choisir un compte</p>
					<a href="#" class="list-group-item" ng-repeat="count in myCounts"
						ng-click="$parent.showAddFriendCount = false;">{{ count.name
						}}</a>
				</div>
			</div>
		</div>

	</div>


</body>



<script>
	var app = angular.module('myFriendsApp', []);
	app.controller('myFriendsCtrl', function($scope, $http) {
		$http.get("ajax-count/ajax-count-friends.html").then(
				function(response) {
					$scope.myFriends = response.data.friends;
				});
		$http.get("ajax-count/ajax-count-friends-invite.html").then(
				function(response) {
					$scope.myFriendsInvite = response.data.friendsInvite;
				});
		$http.get("ajax-count/ajax-count-counts.html").then(function(response) {
			$scope.myCounts = response.data.counts;
		});
		$http.get("ajax-count/ajax-count-counts-invite.html").then(function(response) {
			$scope.myCountsInvite = response.data.countsInvite;
		});


		$scope.showAddFriendCount = false;
	});
</script>

</html>
